@font-face {
    font-family: "Dtac";
    font-weight: normal;
    src: url("../fonts/DTAC2018-Regular_0.ttf");
}

@font-face {
    font-family: "Dtac";
    font-weight: bold;
    src: url("../fonts/DTAC2018-Bold_0.ttf");
}

@font-face {
    font-family: "Dtac";
    font-weight: 300;
    src: url("../fonts/DTAC2018-Light_0.ttf");
}

html {
    height: -webkit-fill-available;
}

body {
    margin: 0;
    padding: 0;
    font-family: "Dtac", sans-serif;
    min-height: -webkit-fill-available;
    overflow: hidden;
    background: black;
}

table {
    border: 0;
    width: 100%;
}

#app {
    background: url("../images/BG.png") no-repeat;
    background-size: cover;
    background-position-x: center;
    max-width: 480px;
    margin: auto;
    height: 100vh;
    min-height: -webkit-fill-available;
}

#landing-screen {
    margin: 0;
    padding: 20px 0 0;
}

.text-center {
    text-align: center;
}

.d-block {
    display: block !important;
}

.d-none {
    display: none !important;
}

.m-auto {
    margin: auto;
}

.tua-d-container {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
}

.sub-title {
    color: #fdfd68;
    margin: 0;
    text-shadow: rgba(202, 225, 157, 0.9) 1px -1px 3px;
    font-weight: normal;
}

.question-mark-container {
    display: inline-block;
    padding-left: 15px;
    width: 100%;
}

.loading {
    background: rgba(0,0,0,0.8);
    position: absolute;
    top: 0;
    width: 100%;
    max-width: 480px;
    height: 0;
    opacity: 0;
    z-index: 9999;
    transition: opacity 0.3s ease;
}

.loading.active {
    height: 100%;
    opacity: 1;
}

#result-screen {
    display: none;
}

.res-tua-d {
    background: url("../images/bg-res-top-tuad.png") no-repeat;
    background-size: 100% 320px;
    background-position: center;
    height: 269px;
    overflow: hidden;
}

.res-separator-bar {
    background: white;
    height: 10px;
    border: none;
    margin: 0;
    /*box-shadow: 0px -3px 10px rgba(0, 0, 0, 0.5);*/
    position: relative;
    z-index: 302;
}

.res-container {
    background: url("../images/bg-res-img.png");
    background-position-y: center;
    background-size: cover;
    /*height: 375px;*/
    height: 50vh;
    padding-top: 40px;
}

.res-title-separator {
    height: 30px;
}

@media all and (min-device-height: 900px) {
    .res-container {
        height: 55vh;
    }

    .res-title-separator {
        height: 50px;
    }
    h1.res-random-text {
        margin-top: 40px;
        font-size: 4rem;
    }
}

.footer {
    position: fixed;
    width: 100%;
    max-width: 480px;
    bottom: 0;
}

.btn {
    display: inline-block;
    padding: 5px 30px;
}

.btn-purple, .btn-light {
    border-radius: 5px;
    height: 45px;
    line-height: 28px;
    padding: 10px 30px;
    display: inline-block;
    color: white;
    font-family: sans-serif;
    font-weight: 600;
    -webkit-font-smoothing: antialiased;
    box-sizing: border-box;
    text-align: center;
    width: 100%;
}

.btn-purple {
    background: #3b5998;
}

.btn-light {
    background: #efefef;
    color: #3b5998;
}

.btn-secondary {
    font-size: 14px;
}

.btn-play {
    background: #ffff55;
    color: black;
    font-weight: bold;
    font-size: 3rem;
    padding: 0px 50px;
    line-height: 45px;
    margin: auto;
    border: 4px solid #e1e14b;
    border-top-width: 2px;
    border-top-color: #fbfb76;
    border-right-width: 2px;
    border-right-color: #fbfb76;
    box-shadow: 20px 10px 30px rgba(0,0,0,0.4);
    border-radius: 10px;
    cursor: pointer;
}

.btn-play:hover {
    margin-top: 10px;
    margin-left: 10px;
    box-shadow: 10px 10px 20px rgba(0,0,0,0.3);
}

.res-title {
    color: white;
    margin: 0;
    text-shadow: rgb(145,182,234) 1px -1px 5px;
}

.res-sub-title {
    color: #fdfd68;
    margin: 0;
    text-shadow: rgb(202, 225, 157) 1px -1px 10px
}

.res-pictures-container {
    width: 335px;
    margin: auto;
    border-spacing: 5px;
    border-collapse: separate;
    padding: 0 10px;
}

.res-pictures-container td {
    width: 150px;
    height: 150px;
    border: 3px solid black;
    border-radius: 20px;
    padding: 0;
}

.res-random-text {
    color: white;
    font-size: 3rem;
    margin-top: 13px;
    text-shadow: 8px 5px 15px #000000;
}